Get billing alert configuration
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/alerts/billing \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/alerts/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/alerts/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"active": true,
"alerts_sent": 123,
"last_alert_at": "<string>",
"updated_at": "<string>",
"config": {
"threshold": {
"formatted": "<string>",
"amount": 123,
"currency_code": "<string>",
"currency_symbol": "<string>"
},
"mode": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Organization Management
Get billing alert configuration
deprecated
Retrieves billing alert configuration for the specified organization.
GET
/
organizations
/
{organization_id}
/
alerts
/
billing
Get billing alert configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Response
OK
The alert configuration for an organization.
Type of alert (e.g. "billing")
Whether the billing alert should be active or not.
Number of alerts sent.
The datetime the alert was last sent.
The datetime the alert was last updated.
Configuration for threshold and mode.
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?